Skip to main content
POST
/
cloud
/
v1
/
tasks
/
acknowledge
Acknowledge tasks
curl --request POST \
  --url https://api.gcore.com/cloud/v1/tasks/acknowledge \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "task_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api.gcore.com/cloud/v1/tasks/acknowledge"

payload = { "task_ids": ["<string>"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({task_ids: ['<string>']})
};

fetch('https://api.gcore.com/cloud/v1/tasks/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

project_id
integer | null

Project ID of the project where tasks should be acknowledged

Example:

123

region_id
integer | null

Region ID of the region where tasks should be acknowledged

Example:

123

Body

application/json
task_ids
string[] | null

List of tasks ids

Response

204

No Content